<?php
if (!defined('ABSPATH')) {
    exit;
}

require_once XPRESSSTORES__PLUGIN_DIR . 'core.php';
?>
<script type="text/javascript">
    jQuery(document).ready(function () {
        AFTemplate.init();
    });
</script>
<div class="alimetabox">
    <div class="af-heading">Search for a product</div>
    <table id="af-filters">
        <tbody>
            <tr>
                <td class="header">Product Name</td>
                <td style="width: 0px;">
                    <input type="text" name="afProductName" id="af-product-name" />
                </td>
                <td>
                    <button id="af-button-search" class="button button-primary">Search</button>
                </td>
            </tr>
            <tr>
                <td class="heading">Template</td>
                <td>
                    <select name="afTemplateType" id="af-template-type">
                        <?php foreach(Configuration::$templateOption as $v => $k) {
                            echo "<option value=\"$v\">$k</option>";
                        } ?>
                    </select>
                </td>
            </tr>
        </tbody>
    </table>
    <div class="af-heading">Search results</div>
    <table id="af-products" class="data-table" cellpadding="0" cellspacing="0">
        <thead>
            <tr>
                <th>ID</th>
                <th></th>
                <th>Product Name</th>
                <th></th>
            </tr>
        </thead>
        <tbody></tbody>
    </table>
</div>
